> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /google/patents/patents/search

> Search patents by query and filters

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/research-papers.json post /api/google/patents/patents/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/google/patents/patents/search:
    post:
      tags:
        - /google/patents
      summary: /google/patents/patents/search
      description: |-
        Search patents by query and filters

        **Price:** 10 credits per 100 results
      operationId: __api_google_patents_patents_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GooglePatentsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GooglePatentSearchResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GooglePatentsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        assignee:
          anyOf:
            - type: string
            - type: 'null'
        inventor:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        status:
          anyOf:
            - $ref: '#/components/schemas/GooglePatentsStatus'
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/GooglePatentsType'
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        cpc:
          anyOf:
            - type: string
            - type: 'null'
        litigation:
          anyOf:
            - $ref: '#/components/schemas/GooglePatentsLitigation'
            - type: 'null'
        before:
          anyOf:
            - type: string
              pattern: ^\d{8}$
            - type: 'null'
        after:
          anyOf:
            - type: string
              pattern: ^\d{8}$
            - type: 'null'
        before_type:
          $ref: '#/components/schemas/GooglePatentsDateType'
          default: priority
        after_type:
          $ref: '#/components/schemas/GooglePatentsDateType'
          default: priority
        sort:
          $ref: '#/components/schemas/GooglePatentsSort'
          default: relevance
        dedup:
          $ref: '#/components/schemas/GooglePatentsDedup'
          default: family
        group_by_family:
          type: boolean
          default: false
      type: object
      required:
        - query
        - count
    GooglePatentSearchResult:
      properties:
        '@type':
          type: string
          default: GooglePatentSearchResult
        id:
          type: string
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        inventor:
          anyOf:
            - type: string
            - type: 'null'
        assignee:
          anyOf:
            - type: string
            - type: 'null'
        priority_date:
          anyOf:
            - type: string
            - type: 'null'
        filing_date:
          anyOf:
            - type: string
            - type: 'null'
        grant_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        pdf_url:
          anyOf:
            - type: string
            - type: 'null'
        thumbnail:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GooglePatentsStatus:
      type: string
      enum:
        - GRANT
        - APPLICATION
    GooglePatentsType:
      type: string
      enum:
        - PATENT
        - DESIGN
    GooglePatentsLitigation:
      type: string
      enum:
        - 'YES'
        - 'NO'
    GooglePatentsDateType:
      type: string
      enum:
        - priority
        - filing
        - publication
    GooglePatentsSort:
      type: string
      enum:
        - relevance
        - new
        - old
    GooglePatentsDedup:
      type: string
      enum:
        - family
        - publication
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````